package com.yihu.wlyy.entity.doctor.team.admin;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author Sand
 */
@Entity
@Table(name = "dr_admin_team_role")
public class AdminTeamRole extends IdEntity {
    private String name;
    private boolean avaliable;
    private Date createTime;
    private long creatorId;
    private int multiply;
    private String remarks;

    public String getName() {
        return name;
    }

    @Column(name = "name")
    public void setName(String name) {
        this.name = name;
    }

    public boolean isAvaliable() {
        return avaliable;
    }

    @Column(name = "avaliable")
    public void setAvaliable(boolean avaliable) {
        this.avaliable = avaliable;
    }

    public Date getCreateTime() {
        return createTime;
    }

    @Column(name = "create_time")
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public long getCreatorId() {
        return creatorId;
    }

    @Column(name = "creator_id")
    public void setCreatorId(long creatorId) {
        this.creatorId = creatorId;
    }

    public int getMultiply() {
        return multiply;
    }

    @Column(name = "multiply")
    public void setMultiply(int multiply) {
        this.multiply = multiply;
    }

    public String getRemarks() {
        return remarks;
    }

    @Column(name = "remarks")
    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }
}
